Status: Closed Priority: Must have
Author: Karsten Dambekalns Category: Index/Search
Created: 2008-10-27 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Sprint:
Subject: Check indexing behaviour
Description

Make sure content can be searched tokenized and non-tokenized.

Related issues:
related to TYPO3.TYPO3CR - Bug # 1623: Searching for "identifier" is possible... Resolved 2008-10-01

Associated revisions
Revision 61aa7621 - 2008-12-05 21:28 - Karsten Dambekalns
FLOW3, TYPO3CR:
    -  Persistence: rewrote the way object trees are stored in the CR, fixes #1883, fixes #1882
TYPO3CR:
    -  Persistence: array keys are now preserved when persisting, fixes #1620
    -  Persistence: fixed error when persisting DateTime properties, fixes #2195
    -  changed the way properties are added to the Lucene index, fixes #1623, refs #1886
    -  fixed storage backend to enable use of namespaced nodetype names
Lucene, TYPO3CR:
    -  moved the KeywordAnalyser here from TYPO3CR

Revision ebd06dad - 2009-03-18 15:22 - Karsten Dambekalns
FLOW3:
    -  equality comparisons in persistence can now be done case-insensitive (in QueryInterface and Repository), refs #1884, refs #2811
TYPO3CR:
    -  changed more use of PersistenceManager into PersistenceManagerInterface
    -  added support for case-insensitive equality comparison in QueryInterface implementation, fixes #2811
    -  implemented Literal, LowerCase, UpperCase in QOM
    -  reduced the number of tables used for storing properties by roughly 50%
    -  removed Lucene search backend
    -  added in-RDBMS property index and new search backend based on it, refs #1886
FLOW3 Distribution:
    -  removed Lucene package from Global packages
    -  removed install.sh, it was broken anyway

History
#1 - 2008-10-28 13:14 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 197

#2 - 2009-05-12 12:53 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To set to Karsten Dambekalns
Indexing behaviour has changed radically, thus is outdated. We'll stumble over any issues anyway...

#3 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
